import sys

def query(x: int, y: int) -> bool:
    if x <= 0 or x > 100 or y <= 0 or y > 100:
        return False
    print('?', x, y)
    sys.stdout.flush()
    return input() == 'inside'


def answer(result: bool):
    if result:
        print('! square')
    else:
        print('! rectangle')
    sys.stdout.flush()


min_bounds = None

def search():
    scale_factor = 2
    found = False
    while not found:
        step = 100 / scale_factor
        coords = []
        for y in range(scale_factor):
            for x in range(scale_factor):
                if round(x * step) > 0 and round(x * step) <= 99 and round(y * step) > 0 and round(y * step) <= 99:
                    coords.append((round(x * step), round(y * step)))
        for coord in coords:
            if query(coord[0], coord[1]): 
                found = True
                min_bounds = [[coord[0], coord[0]], [coord[1], coord[1]]]     
        scale_factor *= 2

def correct_bounds():
    found = [0, 0, 0, 0]
    while not found[0]:
        if query(min_bounds[0, 0] - 1, min_bounds[0, 1]):
            min_bounds[0, 0] -= 1
        else:
            found[0] = 1
    while not found[1]:
        if query(min_bounds[0, 0], min_bounds[0, 1] + 1):
            min_bounds[0, 0] += 1
        else:
            found[1] = 1
    while not found[2]:
        if query(min_bounds[1, 0] + 1, min_bounds[1, 1]):
            min_bounds[1, 0] += 1
        else:
            found[2] = 1
    while not found[3]:
        if query(min_bounds[1, 0], min_bounds[1, 1] - 1):
            min_bounds[1, 1] -= 1
        else:
            found[3] = 1
    answer(abs(min_bounds[0, 0] - min_bounds[0, 1]) == abs(min_bounds[1, 0] - min_bounds[1, 1]))

search()