using System;
using System.Linq;
using System.Collections.Generic;

class Solution {
  public static void Main(string[] args) {
      // 5 items
      int[] stuff = Console.ReadLine().Split(" ").Select(s => int.Parse(s)).ToArray();
      // 2 items
      int[] cars = Console.ReadLine().Split(" ").Select(s => int.Parse(s)).ToArray();
 
      if(stuff.Sum() > cars.Sum())
      {
        Console.WriteLine("They can not do it!");
        return;
      }

      if(stuff.Sum() <= cars[0] && stuff.Sum() <= cars[1])
      {
        Console.WriteLine("They both can do it!");
        return;
      }

      if(stuff.Sum() <= cars[0])
      {
        Console.WriteLine("Vasyl can do it!");
        return;
      }

      if(stuff.Sum() <= cars[1])
      {
        Console.WriteLine("Petro can do it!");
        return;
      }

      var indexes = DistributeWeights(stuff, cars);
      if(indexes.Item1 is null)
      {
        Console.WriteLine("They can not do it!");
        return;
      }

      Console.WriteLine("They need to work together!");
      Console.WriteLine($"Vasyl: {string.Join(" ", indexes.Item1)}");
      Console.WriteLine($"Petro: {string.Join(" ", indexes.Item2)}");
  }

  public static Tuple<List<int>, List<int>> DistributeWeights(int[] weights, int[] cars)
  {
    // 5 weights => 2^5 combinations
    for(int i = 0; i < 32; i++)
    {
        var w1 = i & 1 == 1;
        var w2 = i & 2 == 2;
        var w3 = i & 4 == 4;
        var w4 = i & 8 == 8;
        var w5 = i & 16 == 16;
        bool[] w = new bool[] {w1,w2,w3,w4,w5};
        
        var wl1 = new List<int>();
        var wl2 = new List<int>();

        var i1 = new List<int>();
        var i2 = new List<int>();

        for(int i = 0; i < 5; i++)
        {
            if(w[i])
            {
                wl1.Add(weighs[i]);
                i1.Add(i + 1);
            }
            else
            {
                wl2.Add(weights[i]);
                i2.Add(i + 1);
            }
        }

        if(wl1.Sum() < cars[0] && wl2.Sum() < cars[1])
        {
            return new (i1, i2);
        }
    }

    return new();
  }
}
