#include <bits/stdc++.h>
using namespace std;

const int N=1e7;

vector<bool> is_prime(N+1, 1);
vector<int> primes;

void sieve()
{
    is_prime[0]=0;
    is_prime[1]=0;
    for(int i=2; i<=N; i++){
        if(is_prime[i]){
            for(int j=2*i; j<=N; j+=i){
                is_prime[j]=0;
            }
        }
    }
    for(int i=2; i<=N; i++){
        if(is_prime[i]){
            primes.push_back(i);
        }
    }
}

vector<pair<int, int> > pfact(int x)
{
    vector<pair<int, int> > res;
    for(auto p: primes){
        int cnt=0;
        while(x%p==0){
            cnt++;
            x/=p;
        }
        if(cnt){
            res.push_back({p, cnt});
        }
    }
    return res;
}

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    sieve();

	int n;
    cin >> n;
    vector<int> a(n+1);
    for(int i=1; i<=n; i++){
        cin >> a[i];
    }
    vector<int> b(n);
    for(int i=1; i<=n-1; i++){
        cin >> b[i];
    }
    int p, q;
    cin >> p >> q;
    vector<vector<int> > s(n+1, vector<int>(n+1));
    for(int i=1; i<=n; i++){
        s[i][i]=a[i];
    }
    for(int i=1; i<=n-1; i++){
        s[i+1][i]=b[i];
    }
    vector<int> pf=pfact(s[p][q]);
    for(auto p: pf){
        cout << p.first << ' ' << p.second << '\n';
    }
}
