#include <bits/stdc++.h>
using namespace std;

const int N=1e7;

vector<bool> is_prime(N+1, 1);
vector<int> primes;

void sieve()
{
    is_prime[0]=0;
    is_prime[1]=0;
    for(int i=2; i<=N; i++){
        if(is_prime[i]){
            for(int j=2*i; j<=N; j+=i){
                is_prime[j]=0;
            }
        }
    }
    for(int i=2; i<=N; i++){
        if(is_prime[i]){
            primes.push_back(i);
        }
    }
}

vector<pair<int, int> > pfact(int x)
{
    vector<pair<int, int> > res;
    for(auto p: primes){
        int cnt=0;
        while(x%p==0){
            cnt++;
            x/=p;
        }
        if(cnt){
            res.push_back({p, cnt});
        }
    }
    return res;
}

int main()
{
    //ios_base::sync_with_stdio(0);
    //cin.tie(0);
    //cout.tie(0);

    sieve();

	int n;
    cin >> n;
    vector<int> a(n+1);
    for(int i=1; i<=n; i++){
        cin >> a[i];
    }
    vector<int> b(n);
    for(int i=1; i<=n-1; i++){
        cin >> b[i];
    }
    int p, q;
    cin >> p >> q;
    vector<vector<int> > numerator(n+1, vector<int>(n+1, 0)), denominator(n+1, vector<int>(n+1, 0));
    for(int i=1; i<=n; i++){
        numerator[i][i]=a[i];
        denominator[i][i]=1;
    }
    for(int i=1; i<=n-1; i++){
        numerator[i+1][i]=b[i];
        denominator[i+1][i]=1;
    }
    for(int fr=1; fr<n; fr++){
        for(int c=1; c<=n-fr; c++){
            int r=fr+c;
            numerator[c][r]=numerator[c][r-1]*numerator[c+1][r]*denominator[c+1][r-1];
            denominator[c][r]=denominator[c][r-1]*denominator[c+1][r]*numerator[c+1][r-1];
            int GCD=__gcd(numerator[c][r], denominator[c][r]);
            numerator[c][r]/=GCD;
            denominator[c][r]/=GCD;
        }
    }
    int GCD=__gcd(numerator[p][q], denominator[p][q]);
    numerator[p][q]/=GCD;
    denominator[p][q]/=GCD;
    vector<pair<int, int> > pn=pfact(numerator[p][q]), pd=pfact(denominator[p][q]);
    for(auto &p: pd){
        p.second*=(-1);
    }
    vector<pair<int, int> > pf;
    for(auto p: pn){
        pf.push_back(p);
    }
    for(auto p: pd){
        pf.push_back(p);
    }
    if(pf.empty()){
        cout << "1 1";
        return 0;
    }
    sort(pf.begin(), pf.end());
    for(auto p: pf){
        cout << p.first << ' ' << p.second << '\n';
    }
}