#include <iostream>
#include <set>
#include <vector>
#include <climits>
#include <string>
#include <algorithm>
#include <cmath>
#include <map>

using namespace std;

typedef long long ll;
typedef long long ull;
typedef pair<int, int> pint;
typedef pair<ll, ll> pll;


int gcd(int a, int b)
{
    if (a == 0) return b;
    return gcd(b % a, a);
}

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0); cout.tie(0);
    int n;
    cin >> n; vector<vector<int>> v(n, vector<int>(n, -1));
    for (int i = 0; i < n; i++)
    {
        int inp; cin >> inp;
        v[i][i] = inp;
    }
    for (int i = 0; i < n - 1; i++)
    {
        int inp; cin >> inp;
        v[i+1][i] = inp;
    }
    int p, q; cin >> p >> q;
    p--; q--;
    if (v[p][q] == -1)
    {
        cout << "no";
        return 0;
    }
    int k = v[p][q];
    for (int i = 2; i <= sqrt(k); i++)
    {
        int cnt = 0;
        while (k % i == 0)
        {
            k = k / i;
            cnt++;
        }
        if (cnt != 0) cout << i << " " << cnt << "\n";
    }

    if (k > 1)
        cout << k << " 1";
}