#include <iostream>
#include <set>
#include <vector>
#include <climits>
#include <string>
#include <algorithm>
#include <cmath>
#include <map>

using namespace std;

typedef long long ll;
typedef long long ull;
typedef pair<int, int> pint;
typedef pair<ll, ll> pll;
typedef pair<pint, pint> ppint;

int fx = -1, fy = -1;
int qt = 0; int ms = 100;

/*bool query(int x, int y) {
    if (x <= 0 || x > 100 || y <= 0 || y > 100)
        return false;
    cout << "? " << x << " " << y << endl;
    bool a = (x > 19) && (x < 63) && (y > 2) && (y < 76);
    if (a) cout << "inside\n";
    else cout << "outside\n";
    qt++;
    return a;
}*/

bool query(int x, int y) {
    if (x <= 0 || x > 100 || y <= 0 || y > 100)
        return false;
    cout << "? " << x << " " << y << endl;
    cout.flush();
    string ans;
    cin >> ans;
    return (ans == "inside");
}


/*void FindRect()
{
	vector<ppint> check = { ppint(pint(1,1), pint(100,100)) };
	while (true)
	{
		sw /= 2;
		vector<ppint> ncheck;
		for (int i = 0; i < check.size(); i++)
		{
            int x = (check[i].first.first + check[i].second.first) / 2;
            int y = (check[i].first.second+ check[i].second.second) / 2;
            bool ans = query(x, y);
            pint ap(x, y);
            if (ans)
            {
                fx = ap.first;
                fy = ap.second;
                return;
            }
            ncheck.push_back(ppint(check[i].first, ap));
            ncheck.push_back(ppint(ap, check[i].second));
            ncheck.push_back(ppint(pint(x, check[i].first.second), pint(check[i].second.first, y)));
            ncheck.push_back(ppint(pint(check[i].first.first, y), pint(x, check[i].second.second)));
		}
		check = ncheck;
	}
}*/

void FindRect()
{
    for (int i = 0; i < 5; i++)
    {
        for (int j = 0; j < 5; j++)
        {
            int x = 10 + i * 20;
            int y = 10 + j * 20;
            if (query(x, y))
            {
                fx = x;
                fy = y;
                return;
            }
        }
    }
}

pint AnalyzeRect()
{
    int nx = 0, ny = 0;
    for (nx = 90; nx != fx; nx-=20)
    {
        if (query(nx, fy)) break;
    }
    for (ny = 90; ny != fy; ny -= 20)
    {
        if (query(fx, ny)) break;
    }
    return (pint(nx - fx, ny - fy));
}

void findl(int* x, int* y, int sx, int sy)
{
    *x = fx;
    *y = fy;
    while ((sx != 0) || (sy != 0))
    {
        bool ans = query(*x + sx, *y + sy);
        if (ans)
        {
            *x += sx;
            *y += sy;
        }
        sx /= 2; sy /= 2;
    }
}

void answer(bool result) {
    if (result) cout << "! square" << endl;
    else cout << "! rectangle" << endl;
    cout.flush();
}

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0); cout.tie(0);
    FindRect();
    if (fx == -1) answer(false);
    else
    {
        pint swp = AnalyzeRect();
        int left, right, top, bottom;
        int sw1 = 1, sw2 = 1;
        while (sw1 < swp.first)
        {
            sw1 *= 2;
        }
        sw1 /= 2;
        while (sw2 < swp.second)
        {
            sw2 *= 2;
        }
        sw2 /= 2;
        findl(&left, &fy, -16, 0);
        findl(&right, &fy, sw1, 0);
        findl(&fx, &top, 0, -16);
        findl(&fx, &bottom, 0, sw2);
        answer(abs(bottom - top) == abs(right - left));
       // cout << qt << "\n";
    }
}