#include <iostream>
#include <set>
#include <vector>
#include <climits>
#include <string>
#include <algorithm>
#include <cmath>
#include <map>

using namespace std;

typedef long long ll;
typedef long long ull;
typedef pair<int, int> pint;
typedef pair<ll, ll> pll;
typedef pair<pint, pint> ppint;

int fx = -1, fy = -1;
int qt = 0; int ms = 100;

bool query(int x, int y) {
    if (x <= 0 || x > 100 || y <= 0 || y > 100)
        return false;
    cout << "? " << x << " " << y << endl;
    cout.flush();
    string ans;
    cin >> ans;
    return (ans == "inside");
}

void FindRect()
{
    for (int c = 0; c < 5; c++)
    {
        for (int i = 0; i < c; i++)
        {
            int x = 10 + i * 20;
            int y = 10 + c * 20;
            if (query(x, y))
            {
                fx = x;
                fy = y;
                return;
            }
        }
        for (int i = 0; i < c + 1; i++)
        {
            int x = 10 + c * 20;
            int y = 10 + i * 20;
            if (query(x, y))
            {
                fx = x;
                fy = y;
                return;
            }
        }
        ms -= 20;
    }
}

void findl(int* x, int* y, int sx, int sy)
{
    *x = fx;
    *y = fy;
    while ((sx != 0) || (sy != 0))
    {
        bool ans = query(*x + sx, *y + sy);
        if (ans)
        {
            *x += sx;
            *y += sy;
        }
        sx /= 2; sy /= 2;
    }
}

void answer(bool result) {
    if (result) cout << "! square" << endl;
    else cout << "! rectangle" << endl;
    cout.flush();
}

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0); cout.tie(0);
    FindRect();
    if (fx == -1) answer(false);
    else
    {
        int left, right = fx, top, bottom = fy;
        int sw = 1;
        while (sw < ms)
        {
            sw *= 2;
        }
        sw /= 2;
        findl(&left, &fy, -16, 0);
        findl(&fx, &top, 0, -16);
        int dx = abs(left - fx), dy = abs(top - fy);
        while (sw!=0)
        {
            bool ans = query(right + sw, fy);
            if (ans) right += sw;
            ans = query(fx, bottom + sw);
            if (ans) bottom += sw;
            sw /= 2;
            if (abs((bottom - top) - (right - left)) >= sw * 2) break;
        }
        answer(abs(bottom - top) == abs(right - left));
        // cout << qt << "\n";
    }
}