from collections import Counter
from math import sqrt

def prime_factors(n):
    factors = []
    while n % 2 == 0:
        factors.append(2)
        n = n // 2
    for i in range(3, int(sqrt(n))+1, 2):
        while n % i == 0:
            factors.append(i)
            n = n // i
    if n > 2:
        factors.append(n)
    return factors

def factorize(n):
    factors = Counter(prime_factors(n))
    output = []
    for factor, count in factors.items():
        output.append([factor, count])
    return output

n = int(input())
main_diag = list(map(int, input().split()))
side_diag = list(map(int, input().split()))
p, q = map(int, input().split())

if p - 1 == q or p == q:
    area = main_diag[p-1] if p - 1 == q else side_diag[p-1]
else:
    area = main_diag[q-1] * side_diag[p-1]

factors = factorize(area)
for factor in factors:
    print(" ".join(map(str, factor)))
