import sys

# Function to check if a point is inside the painted area
def check_point(x, y):
    print("?", x, y)
    sys.stdout.flush()
    return input().strip() == "inside"

# Function to check if a rectangle is a square
def is_square(x1, y1, x2, y2):
    return (x2 - x1 + 1) == (y2 - y1 + 1)

# Initialize the corners of the painted area
x1, y1, x2, y2 = 1, 1, 100, 100

# Find the upper-left corner of the painted area using binary search
left, right = 1, 100
while left < right:
    x = (left + right) // 2
    y = (left + right) // 2
    if check_point(x, y):
        x1, y1 = x, y
        right = x
    else:
        left = x + 1

# Find the lower-right corner of the painted area using binary search
left, right = 1, 100
while left < right:
    x = (left + right) // 2
    y = (left + right) // 2
    if check_point(x, y):
        x2, y2 = x, y
        left = x + 1
    else:
        right = x

# Check if the painted area is a square
if is_square(x1, y1, x2, y2):
    print("! square")
else:
    print("! rectangle")
