using System;

public class Program
{
    public static void Main(string[] args)
    {
        var arraySize = int.Parse(Console.ReadLine());
        string[] inputStringArray = new string[arraySize];
        int[][] inputNumbersArray = new int[arraySize][];

        for (int ii = 0; ii < arraySize; ii++)
        {
            inputStringArray[ii] = Console.ReadLine();
        }

        for (int ij = 0; ij < arraySize; ij++)
        {
            inputNumbersArray[ij] = SplitString(inputStringArray[ij]);
        }

        ListElement vasylListHead;
        ListElement petroListHead;

        int i = 0;
        int missingValue;

        missingValue = FindMissingElement(i, inputNumbersArray);
        vasylListHead = new ListElement(missingValue);

        i = 1;

        missingValue = FindMissingElement(i, inputNumbersArray);
        petroListHead = new ListElement(missingValue);

        for (i = 2; i < arraySize; i++)
        {
            missingValue = FindMissingElement(i, inputNumbersArray);
            var listElement = new ListElement(missingValue);

            if (i % 2 == 0)
            {
                vasylListHead = InsertElementInSequncePreservingOrder(vasylListHead, listElement);
            }
            else
            {
                petroListHead = InsertElementInSequncePreservingOrder(petroListHead, listElement);
            }
        }

        Console.WriteLine(ReportElementList(vasylListHead));
        Console.WriteLine(ReportElementList(petroListHead));

    }

    public static int FindMissingElement(int i, int[][] inputNumbersArray)
    {
        int missingElement = int.MinValue;

        var firstArray = inputNumbersArray[i];

        if (i == inputNumbersArray.Length - 1)
        { 
            return firstArray[0];
        }
        var secondArray = inputNumbersArray[i + 1];

        for (int j = 0; j < firstArray.Length; j++)
        {
            var matchfound = false;
            for (int k = 0; k < secondArray.Length; k++)
            {
                if (firstArray[j] == secondArray[k])
                { 
                    matchfound= true;
                    break;
                }
            }

            if (!matchfound)
            {
                missingElement = firstArray[j];
                break;
            }
        }

        return missingElement;
    }

    public static int[] SplitString(string input)
    {
        var words = input.Split(' ');
        var numbers = new int[words.Length];

        for (int i = 0; i < words.Length; i++)
        {
            numbers[i] = int.Parse(words[i]);
        }

        return numbers;
    }

    public static string ReportElementList(ListElement listHead)
    { 
        var report = string.Empty;
        var listElement = listHead;

        while (listElement != null) 
        {
            report = (report + " " + listElement.Value.ToString()).Trim();
            listElement = listElement.NextElement;
        }
        return report;
    }

    public static ListElement InsertElementInSequncePreservingOrder(ListElement sequenceHead, ListElement newElement)
    {
        ListElement newHead = null;
        if (sequenceHead.Value > newElement.Value)
        {
            newElement.NextElement = sequenceHead;
            newHead = newElement;

            return newHead;
        }
        else
        {
            newHead = sequenceHead;

            ListElement currentElement = sequenceHead;

            while (currentElement != null)
            {
                if (currentElement.NextElement == null)
                {
                    currentElement.NextElement = newElement;
                    break;
                }
                else if (currentElement.NextElement.Value > newElement.Value)
                {
                    newElement.NextElement = currentElement.NextElement;
                    currentElement.NextElement = newElement;
                    break;
                }

                currentElement = currentElement.NextElement;
            }

            return newHead;
        }
    }

    public class ListElement
    { 
        public int Value { get; set; }
        public ListElement NextElement { get; set; }

        public ListElement()
        { 
        
        }

        public ListElement(int value)
        {
            Value= value;
        }
    }
}
