#include <bits/stdc++.h>
using namespace std;

using p_ = pair<int, int>;
class Factor
{
    p_ mas[5000];
    int size=0;
public:
    bool is_one() const{return size==1 && mas[0].first==1 && mas[0].second==1;}
    friend ostream& operator<<(ostream& out, const Factor& num);
    Factor(int n=1)
    {
        if(n==1) 
        {
            size=1;
            mas[0]=make_pair(1, 1);
            return;
        }
        for(int i=2; i<=sqrt(n); ++i)
        {
            if(n%i==0)
            {
                ++size;
                int cnt=0;
                while(n%i==0)
                {
                    n/=i; 
                    ++cnt;
                }
                mas[size-1]=make_pair(i, cnt);
            }
        }
        if(n!=1){
            ++size;
            mas[size-1]=make_pair(n, 1);
        }
    }
    Factor operator*(const Factor& num) const
    {
        if(num.is_one()) return *this;
        if(is_one()) return num;
        int i=0, j=0;
        Factor res;
        res.size=0;
        while(i!=size && j!=num.size)
        {
            if(mas[i].first>num.mas[j].first)
            {
                res.mas[res.size] = num.mas[j];
                ++res.size;
                ++j;
            }
            else if(mas[i].first<num.mas[j].first)
            {
                res.mas[res.size] = mas[i];
                ++res.size;
                ++i;
            }
            else
            {
                if(mas[i].second+num.mas[j].second!=0) 
                {
                    res.mas[res.size]=make_pair(mas[i].first, mas[i].second+num.mas[j].second);
                    ++res.size;
                }
                ++i;
                ++j;
            }
        }
        while(i!=size) {res.mas[res.size] = mas[i]; ++i; ++res.size;}
        while(j!=num.size) {res.mas[res.size] = num.mas[j]; ++j; ++res.size;}
        if(res.size==0) {res.size=1; res.mas[0]=make_pair(1, 1);}
        return res;
    }
    Factor inverse() const
    {
        if(is_one()) return *this;
        Factor res=*this;
        for(int i=0; i<size; ++i) res.mas[i].second=-res.mas[i].second;
        return res;
    }
    Factor operator/(const Factor& num) const
    {
        return *this*num.inverse();
    }
};

istream& operator>>(istream& in, Factor& num)
{
    int a;
    in>>a;
    num = Factor(a);
    return in;
}

ostream& operator<<(ostream& out, const Factor& num)
{
    for(int i=0; i<num.size; ++i)
        cout<<num.mas[i].first<<' '<<num.mas[i].second<<'\n';
        return out;
}


Factor diag[1000], side[999];

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	int n, p, q;
	cin>>n;
    for(int i=0; i<n; ++i)
        cin>>diag[i];
    for(int i=0; i<n-1; ++i)
        cin>>side[i];
    cin>>p>>q;
    if(p==q) cout<<diag[p-1];
    else if(q+1==p) cout<<side[q-1];
    else
    {
        if(q>p)
        {
            Factor f1=diag[p-1];
            for(int i=p; i<q; ++i)
                f1=f1*diag[i];
            Factor f2=side[p-1];
            for(int i=p; i<q-1; ++i)
                f2=f2*side[i];
            cout<<f1/f2;
        }
        else
        {
            Factor f1=side[q-1];
            for(int i=q; i<p-1; ++i)
            f1=f1*side[i];
            Factor f2=diag[q];
            for(int i=q+1; i<p-1; ++i)
            f2=f2*diag[i];
            cout<<f1/f2;
        }
    }
}
